    import PojoQueryBuilder from 'f.lux/src/collection/PojoQueryBuilder.js'

public class | source

# PojoQueryBuilder

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | filter: *[] |

## Method Summary

Public Methods
public | equals(name: *, value: *): * |
public | filterOp(name: *, op: *, value: *): * |
public | gt(name: *, value: *): * |
public | gte(name: *, value: *): * |
public | lt(name: *, value: *): * |
public | lte(name: *, value: *): * |
public | on(model: *): * |
public | toString(): * |

## Public Constructors

### public constructor() source

## Public Members

### public filter: *[] source

## Public Methods

### public equals(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public filterOp(name: *, op: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
op | * |  |
value | * |  |

#### Return:

*

### public gt(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public gte(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public lt(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public lte(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public on(model: *): * source

#### Params:

Name | Type | Attribute | Description
model | * |  |

#### Return:

*

### public toString(): * source

#### Return:

*